#include <GL/glut.h>

void DisplayCallback()
{
    // clear the color buffer
    glClear( GL_COLOR_BUFFER_BIT );

    // draw a triangle into the buffer
	glBegin( GL_TRIANGLES );
	  glVertex3f( 0.0f, 0.5f, 0.0f );
	  glVertex3f( -0.5f, -0.5f, 0.0f );
	  glVertex3f( 0.5f, -0.5f, 0.0f );
	glEnd();

    // draw the buffer to the screen
    glutSwapBuffers();
}


int main(int argc, char **argv)
{
    // create window and rendering context
    glutInit( &argc, argv );
    glutInitDisplayMode( GLUT_RGB | GLUT_DOUBLE );
	glutInitWindowSize( 640, 480 );
	glutCreateWindow( "openGLDemo" );

    // register display callback
	glutDisplayFunc( DisplayCallback );

	glMatrixMode( GL_PROJECTION );
    glLoadIdentity();
	glMatrixMode( GL_MODELVIEW );
	glLoadIdentity();

    glViewport( 0, 0, 640, 480 );

    // pass control over to GLUT
	glutMainLoop();

	return 0;       // never reached
}
